INSERT INTO `$TableName$` (`id`, `device_id`, `created_time`, `collection_time`, `receive_time`,
                           `solenoid_valve_status`,
                           `controller_current_status`, `current_status_remaining_time`, `current_status_start_time`,
                           `cas_pressure`, `oil_pressure`, `plunger_rise_time`, `arrival_sensor_delay_time`,
                           `well_shut_in_time`, `after_flow_time`)
VALUES (?, ?, NOW(), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
ON DUPLICATE KEY UPDATE receive_time=VALUES(receive_time),
                        solenoid_valve_status=VALUES(solenoid_valve_status),
                        controller_current_status=VALUES(controller_current_status),
                        current_status_remaining_time=VALUES(current_status_remaining_time),
                        current_status_start_time=VALUES(current_status_start_time),
                        cas_pressure=VALUES(cas_pressure),
                        oil_pressure=VALUES(oil_pressure),
                        plunger_rise_time=VALUES(plunger_rise_time),
                        arrival_sensor_delay_time=VALUES(arrival_sensor_delay_time),
                        well_shut_in_time=VALUES(well_shut_in_time),
                        after_flow_time=VALUES(after_flow_time)